###################################################################
##### FICHIER ACNU GENERIQUE (BASE COMMUNE A NE PAS MODIFIE) ######
###################################################################
# Fichiers : "History_Fanuc_xxM.cnu" pour "Fanuc_xxM.cnu"         #
###################################################################
#
#REV                 : M25843 / TFS8392 => setup fichier optim pour V10
SWITCH(VAR[98],NULL,VAR[98]="10/01/2017",NOOP())
# NC Simul Version  : V10.x.x
# Auteur            : Benoit SOUVESTRE
# 
#REV                : modif macro SAVE_CYCLE_PARAMS_V10 M25743 / TFS8291
SWITCH(VAR[98],NULL,VAR[98]="04/01/2017",NOOP())
# NC Simul Version  : V10.x.x
# Auteur            : Benoit Souvestre
#
#REV                : Merge V10-V9 : modif macro SAVE_CYCLE_PARAMS_V10 (G83)
SWITCH(VAR[98],NULL,VAR[98]="19/12/2016",NOOP())
# NC Simul Version  : V10.x.x
# Auteur            : Benoit Souvestre
#
#REV                : M23086 / TFS 5979 ( Modif macro G85 )
SWITCH(VAR[98],NULL,VAR[98]="26/09/2016",NOOP())
# NC Simul Version  : V10.x.x
# Auteur            : Benoit Souvestre
#
#REV                : TFS 7100 (Macro restore_state LEV=1)
SWITCH(VAR[98],NULL,VAR[98]="23/09/2016",NOOP())
# NC Simul Version  : V10.x.x
# Auteur            : Benoit Souvestre
#
#REV                : TFS 6658 modif M1 (faisait une NCFonction M0)
SWITCH(VAR[98],NULL,VAR[98]="01/09/2016",NOOP())
# NC Simul Version  : V10.x.x
# Auteur            : Benoit Souvestre
#
#REV                : TFS 5799 modif cycles G8x
SWITCH(VAR[98],NULL,VAR[98]="25/08/2016",NOOP())
# NC Simul Version  : V.9.x.x & V10.x.x
# Auteur            : Benoit Souvestre
#
#REV                : TFS 5799 creation NCFonction sur G4 (macro G4_TEMPO)
SWITCH(VAR[98],NULL,VAR[98]="23/08/2016",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Benoit Souvestre
#
#REV                : TFS 6656 creation NCFonction sur M7/M8/M9
SWITCH(VAR[98],NULL,VAR[98]="29/07/2016",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Benoit Souvestre
#
#REV                : Change Setup and Language to avoid doubles with the common
SWITCH(VAR[98],NULL,VAR[98]="19/07/2016",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Jeremie Dutoit
#
#REV                : Improve split trajectory for V10 (M9 and G53)
#                   : Save cycle paramaters in inch unit
SWITCH(VAR[98],NULL,VAR[98]="27/05/2016",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Philippe Legoupi
#
#REV                : add machinemenuseparator + improvement splittraj v10
#                   : add mapping for compensation (10.2)
SWITCH(VAR[98],NULL,VAR[98]="14/04/2016",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Philippe Legoupi
#
#REV                :  M21990 Optim autorisee/interdite sur G40/G41/G42 
SWITCH(VAR[98],NULL,VAR[98]="01/04/2016",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Benoit SOUVESTRE
#
#REV                :  macro G53_1 modify tolerance for testing singularity point
SWITCH(VAR[98],NULL,VAR[98]="01/04/2016",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Philippe Legoupi
#
#REV                :  M21916 & M21939 : Ajout Option M19
SWITCH(VAR[98],NULL,VAR[98]="31/03/2016",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : B. Souvestre
#
#REV                :  Improve split trajectory for V10 (stop on G28 G29 G30)
SWITCH(VAR[98],NULL,VAR[98]="21/03/2016",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Philippe Legoupi
#
#REV                :  M21186 : Mise au point M19
SWITCH(VAR[98],NULL,VAR[98]="26/02/2016",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : B. Souvestre
#
#REV                :  M21186 : M19 Sxxx, macro review ACNU_INDEX_SPINDLE, and Add setup Option
SWITCH(VAR[98],NULL,VAR[98]="19/02/2016",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : B. Souvestre
#
#REV                :  M21163 : M29 Rigid tapping (macro review G74/G84)
SWITCH(VAR[98],NULL,VAR[98]="18/02/2016",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : B. Souvestre
#
#REV                :  M21114 (M19170) : Macro CALLPROBE Extend the loop for MoveAxisToContact
SWITCH(VAR[98],NULL,VAR[98]="15/02/2016",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : B. Souvestre
#
#REV                :  M21076 Macro modifications - G50 - SCALE - G51_1 - G50_1 - G28_G30END => UpdateCurpos() after SENSON[]
SWITCH(VAR[98],NULL,VAR[98]="12/02/2016",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : B. Souvestre
#
#REV                :  M21055 fix crash macro "FIX"
SWITCH(VAR[98],NULL,VAR[98]="11/02/2016",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : B. Souvestre
#
#REV                :  M20948 add code G97
SWITCH(VAR[98],NULL,VAR[98]="03/02/2016",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : B. Souvestre
#
#REV                :  M20773 macro RECAL_ORIGIN_G54_2 for G54.2 fix
SWITCH(VAR[98],NULL,VAR[98]="25/01/2016",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : B. Souvestre
#
#REV                :  Improve split trajectory for V10 (Issue on interactive comments)
#REV                :  macro G53_1 Improve test of singularity point
SWITCH(VAR[98],NULL,VAR[98]="22/01/2016",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Philippe Legoupi
# 
#REV                :  Improve split trajectory for V10 (Issue on empty comment)
SWITCH(VAR[98],NULL,VAR[98]="19/01/2016",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Philippe Legoupi
# 
#REV                :  macro G53_1  Choose short way on slave axis when master has the same travel
SWITCH(VAR[98],NULL,VAR[98]="24/12/2015",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Philippe Legoupi
# 
#REV                :  M20463 macro CIRCLE_TEST fix incremental to absolute : G91 G1 X.. / G90 G3 Z..I..
SWITCH(VAR[98],NULL,VAR[98]="16/12/2015",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : B. Souvestre
# 
#REV                :  Message for RAPIDMODE & Decimal point
SWITCH(VAR[98],NULL,VAR[98]="10/12/2015",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : B. Souvestre
# 
#REV                :  Fix syntax error G4_TEMPO (M20364)
SWITCH(VAR[98],NULL,VAR[98]="07/12/2015",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : B. Souvestre
# 
#REV                :  modif split trajectoire 
SWITCH(VAR[98],NULL,VAR[98]="19/11/2015",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Philippe Legoupi
#
#REV                :  modif split trajectoire + ajout restore_state pour V10
SWITCH(VAR[98],NULL,VAR[98]="13/11/2015",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Philippe Legoupi
#
#REV                :  M19990 Macro #:SET
SWITCH(VAR[98],NULL,VAR[98]="06/11/2015",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Benoit SOUVESTRE
#
#REV                :  Amélio récupération paramètres de cyle pour CAM
#                   :  Ajout Menu pour récupération des trajectoires sans setup
#                   :  Ajout fichier SplitTraj_Fanuc_xxM.cnu pour gestion du découpage
SWITCH(VAR[98],NULL,VAR[98]="23/10/2015",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Philippe Legoupi
#
#REV	              :  M19790 Macro CHECK_REGISTER : fix crash when no tool loaded
SWITCH(VAR[98],NULL,VAR[98]="19/10/2015",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Benoit SOUVESTRE
#
#REV	              :  Amelio récuparation parametres cycle G85
SWITCH(VAR[98],NULL,VAR[98]="03/09/2015",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Philippe Legoupi
#
#REV	              :  Amelio récuparation parametres cycle pour V10 CAM
SWITCH(VAR[98],NULL,VAR[98]="28/08/2015",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Philippe Legoupi
#
#REV	              :  M19169 : edit macro CHECK_REG_COMPENSATION
#                             : edit setup + language pour num_message=82
#                             : edit language num_message=80
SWITCH(VAR[98],NULL,VAR[98]="26/08/2015",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Guillaume CHASTAGNER
#
#REV	              :  M19164 no optimization on G8x movements + Formate(xx,23) ==> Formate(xx,Ft(23))
#                      macro modifications G73, G76, G81, G82, G83, G74/G84, G85, G86, G87, G88, CYCLE_OFF
SWITCH(VAR[98],NULL,VAR[98]="25/08/2015",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Benoit SOUVESTRE
#
#REV	              :  M19052 error message when axis does not exist (origin/curpos...)
SWITCH(VAR[98],NULL,VAR[98]="30/07/2015",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Benoit SOUVESTRE
#
#REV	              :  M19040 Bug on G53.1
SWITCH(VAR[98],NULL,VAR[98]="27/07/2015",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Benoit SOUVESTRE
#
#REV	              :  recup parametres cycle pour V10 CAM
SWITCH(VAR[98],NULL,VAR[98]="24/07/2015",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Philippe Legoupi
#
#REV	              : M16872 test machine name
SWITCH(VAR[98],NULL,VAR[98]="20/07/2015",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Benoit SOUVESTRE
#
#REV	              : M18907 default behaviour no message... ACNU_CHECK_OBSOLETE=0
SWITCH(VAR[98],NULL,VAR[98]="15/07/2015",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Benoit SOUVESTRE
#
#REV	              : Macro INITPRG modification New names and default value for variables
#                                                DON / ENDN RAZ with copyvar instead of 2 loops
#                                                M18907 test ACNU / CNU date and display Warning if too old (1 year)
#                                                M16872 test machine name
#                     M18912 Machine property check-box to display/hide message on compensations
SWITCH(VAR[98],NULL,VAR[98]="10/07/2015",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Benoit SOUVESTRE
#
#REV	              : M18771 : Improvement for optimization with incremental coordinates
SWITCH(VAR[98],NULL,VAR[98]="30/06/2015",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Benoit SOUVESTRE
#
#REV	              : M16961+M18313 Macro Round (correction from MBO)+ Ncs_Round()
SWITCH(VAR[98],NULL,VAR[98]="24/06/2015",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Jeremie DUTOIT
#
#REV	              : M13504 G53 does not include an automatic G0
SWITCH(VAR[98],NULL,VAR[98]="12/05/2015",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Jeremie DUTOIT
#
#REV	              : M18317: Change default value of PROBING_SAME_POINT
SWITCH(VAR[98],NULL,VAR[98]="12/05/2015",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Jeremie DUTOIT
#
#REV	              : M17854: Modif macro CHECK_REG_COMPENSATION: Debug removed
#                            : Undef cycle parameteres on G80
SWITCH(VAR[98],NULL,VAR[98]="07/05/2015",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Jeremie DUTOIT
#
#REV	              : M18193 : Modif macro CHECK_REG_COMPENSATION
#                            : Modif macro WRITE_COR / WRITE_CORD / WRITE_CORH 
#                            : Modif macro WRITE_COR_U / WRITE_CORD_U / WRITE_CORH_U 
#                            : Add variable 
SWITCH(VAR[98],NULL,VAR[98]="24/04/2015",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Guillaume CHASTAGNER

#REV	              : M18117 : ATAN 
#                   : M17480 : Add macro CHECK_REG_COMPENSATION
#                            : Modif macro READ_COR / READ_CORD / READ_CORH
#                            : Modif macro READ_COR_U / READ_CORD_U / READ_CORH_U
#                            : Modif setup + add comment for var 
#                            : Modif language
#                            : modif macro CHECK_REGISTER
#                            : modif code H/D
#                   : M17071 : Add message on M7
SWITCH(VAR[98],NULL,VAR[98]="21/04/2015",NOOP())
# NC Simul Version  : V.9.x.x
# Auteur            : Guillaume CHASTAGNER
#
#REV	              : G68.4 (M17454))
SWITCH(VAR[98],NULL,VAR[98]="23/02/2015",NOOP())
# NC Simul Version  : V.8.x.x
# Auteur            : Benoit SOUVESTRE
#
#REV	              : M17588 wrong message
#
SWITCH(VAR[98],NULL,VAR[98]="18/02/2015",NOOP())
# NC Simul Version  : V.8.x.x
# Auteur            : Benoit SOUVESTRE
#
#REV	              : Modif macros READ_COR, READ_CORH, READ_CORD, READ_CORH_U, READ_CORD_U, CHECK_REGISTER
#                     Code L Format is Integer according Documentation (M16781)
#                     Check if tool number and compensation are OK
SWITCH(VAR[98],NULL,VAR[98]="24/11/2014",NOOP())
# NC Simul Version  : V.8.x.x
# Auteur            : Benoit SOUVESTRE
#
#REV	              : Modif macros G53_1 (M16447)
SWITCH(VAR[98],NULL,VAR[98]="22/10/2014",NOOP())
# NC Simul Version  : V.8.x.x
# Auteur            : Benoit SOUVESTRE
#
#REV	              : Modif macros INIT (M15451), KIN_VAR (M15705), G53 (M15871)
SWITCH(VAR[98],NULL,VAR[98]="29/08/2014",NOOP())
# NC Simul Version  : V.8.x.x
# Auteur            : Benoit SOUVESTRE
#
#REV	              : Modif Macro G53_1 (M15625)
SWITCH(VAR[98],NULL,VAR[98]="15/07/2014",NOOP())
# NC Simul Version  : V.8.x.x
# Auteur            : Benoit SOUVESTRE
#
#REV	              : Modif Macro TOOL_CHG (M15021) check if TOOL!=NULL
SWITCH(VAR[98],NULL,VAR[98]="20/05/2014",NOOP())
# NC Simul Version  : V.8.x.x
# Auteur            : Benoit SOUVESTRE
#
#REV	              : Modif Macro G53_1 (M14882)
SWITCH(VAR[98],NULL,VAR[98]="07/05/2014",NOOP())
# NC Simul Version  : V.8.x.x
# Auteur            : Benoit SOUVESTRE
#
#REV	              : Modif Message EN 1069 (M14811)
SWITCH(VAR[98],NULL,VAR[98]="25/04/2014",NOOP())
# NC Simul Version  : V.8.x.x
# Auteur            : Benoit SOUVESTRE
# 
#REV	              : Modif macro GR_MOUVEMENT (M14646)
SWITCH(VAR[98],NULL,VAR[98]="10/04/2014",NOOP())
# NC Simul Version  : V.8.x.x
# Auteur            : Benoit SOUVESTRE
# 
#REV	              : Modif macro # (M12351)
SWITCH(VAR[98],NULL,VAR[98]="25/03/2014",NOOP())
# NC Simul Version  : V.8.x.x
# Auteur            : Benoit SOUVESTRE
# 
#REV	              : Modif G53_1 (M12616) new examples
SWITCH(VAR[98],NULL,VAR[98]="17/03/2014",NOOP())
# NC Simul Version  : V.8.x.x
# Auteur            : Benoit SOUVESTRE
# 
#REV	              : Modif Codes G28-G29-G30-G53 (M14420)
#                     Update #4001 and #4201 Status
SWITCH(VAR[98],NULL,VAR[98]="13/03/2014",NOOP())
# NC Simul Version  : V.8.x.x
# Auteur            : Benoit SOUVESTRE
# 
#REV	              : G53.1 (M12616)
SWITCH(VAR[98],NULL,VAR[98]="03/03/2014",NOOP())
# NC Simul Version  : V.8.9.3
# Auteur            : Benoit SOUVESTRE
# 
#REV	              : Macro CUSTOM_G66 modification (M14086)
SWITCH(VAR[98],NULL,VAR[98]="06/02/2014",NOOP())
# NC Simul Version  : V.8.x.x
# Auteur            : Benoit SOUVESTRE
# 
#REV	              : G68.2 P1 Qxxx + G53.1 (M12616)
SWITCH(VAR[98],NULL,VAR[98]="28/01/2014",NOOP())
# NC Simul Version  : V.8.9.3
# Auteur            : Benoit SOUVESTRE
# 
#REV	              : Modification macro P_DO et P_WHILE
#                   : DO1 à DOx peuvent être reprogrammés
SWITCH(VAR[98],NULL,VAR[98]="27/01/2014",NOOP())
# NC Simul Version  : V.8.7.x
# Auteur            : Legoupi Philippe
# 
#REV	               : Modification Variable #5500 definition M13960
SWITCH(VAR[98],NULL,VAR[98]="22/01/2014",NOOP())
# NC Simul Version  : V.8.7.x
# Auteur            : Souvestre Benoit
# 
#REV	               : Modification Macro LN
SWITCH(VAR[98],NULL,VAR[98]="02/12/2013",NOOP())
# NC Simul Version  : V.8.7.x
# Auteur            : Souvestre Benoit
# 
#REV	               : Modification du cycle G76 (direction du decalage configurable dans les propriétés machines)
#                    : Test sur la fonction ATAN() si presence d'une virgule 
SWITCH(VAR[98],NULL,VAR[98]="26/11/2013",NOOP())
# NC Simul Version  : V.8.7.x
# Auteur            : Benarbia Abdelaziz
# 
# REV		            : Propriètes machine rendant desactivable de la declaration automatique des variables # 
#                   : Modification du cycle G76 (arret broche et decalage en X- de l'outil de la valeur du Q) 
SWITCH(VAR[98],NULL,VAR[98]="18/11/2013",NOOP())
# NC Simul Version  : V.8.7.x
# Auteur            : Benarbia Abdelaziz 
#
# REV		            : Correction Macro MIRROR => Messages called with messages numbers
#                   : Add POW / LN / EXP functions (call 13246)
SWITCH(VAR[98],NULL,VAR[98]="14/11/2013",NOOP())
# NC Simul Version  : V.8.7.x
# Auteur            : Souvestre Benoit  
#
# REV		            : Correction G53_1 => do not allow optim for the bloc
#                     Correction GR_CIRCULAIRE => Radius can be negative when angle is more than 180 Deg
SWITCH(VAR[98],NULL,VAR[98]="07/11/2013",NOOP())
# NC Simul Version  : V.8.x.x
# Auteur            : Souvestre Benoit  
#
# REV		            : Correction macro INIT_CIR (M13187) + SCODE G2/G3
#                     Correction macro MOVE_AXIS_REGISTER (M13184), variable EPSILON_AXE has been removed
#                     Correction macro SPIR & OPTIMISATION_OFF_ON, variable SAVE_OPTITOOL has been removed
SWITCH(VAR[98],NULL,VAR[98]="06/11/2013",NOOP())
# NC Simul Version  : V.8.x.x
# Auteur            : Souvestre Benoit
#
# REV		            : Correction macro CHECK_PROBING_ON (M12195, pb sur les mouvements en incremental)
SWITCH(VAR[98],NULL,VAR[98]="04/06/2013",NOOP())
# NC Simul Version  : V.8.9.x
# Auteur            : Souvestre Benoit
#
# REV               : Modif macro CHECK_PROBING_ON ==> if incr make probing
SWITCH(VAR[98],NULL,VAR[98]="15/04/2013",NOOP())
# NC Simul Version  : V.9.0x
# Auteur            : Chastagner Guillaume
#
# REV               : Add ENDIF in INIT macro
SWITCH(VAR[98],NULL,VAR[98]="29/03/2013",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            : YU Zhixiang
#
# REV               : INIT Macro Revision for probing (AddCode + Variables)
#                   : EXTERN_MAC revision for unknow M codes
SWITCH(VAR[98],NULL,VAR[98]="21/03/2013",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            : YU Zhixiang + SOUVESTRE Benoit  
#
# REV               : Modification declaration correcteur usure FAN18 type C
SWITCH(VAR[98],NULL,VAR[98]="11/01/2013",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            :   Legoupi Philippe
#
# REV               : Modification CIRCLE_TEST pour tester la présence de I J K
SWITCH(VAR[98],NULL,VAR[98]="11/12/2012",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            :   Legoupi Philippe
#
# REV               : Correction bug sur répétition du cycle (code L )
SWITCH(VAR[98],NULL,VAR[98]="10/12/2012",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            :   Legoupi Philippe
#
# REV               : Ajout GO and TH , modif format D sur custom macro
SWITCH(VAR[98],NULL,VAR[98]="14/11/2012",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            :   Legoupi Philippe
#
# REV               : Correction bug sur G19 et amelioration taraudage rigide
SWITCH(VAR[98],NULL,VAR[98]="06/11/2012",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            :   Legoupi Philippe
#
# REV               : Ajout G15 G16 ( mode polaire)
SWITCH(VAR[98],NULL,VAR[98]="27/04/2012",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            :   Legoupi Philippe
#
# REV               : Remise à 0 des IJK en fin de mouvement circulaire
SWITCH(VAR[98],NULL,VAR[98]="16/02/2012",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            :   Legoupi Philippe
#
# REV               : Modification ecriture apres Optim ( passage NOREC des NCREGISTER + reactivation optim dans macro CYCLE_OFF)
SWITCH(VAR[98],NULL,VAR[98]="13/01/2012",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            : Benoit Souvestre
#
# REV               : Modification ecriture apres OPtim ( Valeur Max en G93 + petits bugs)
SWITCH(VAR[98],NULL,VAR[98]="05/01/2012",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            :   Legoupi Philippe
#
# REV               : Modification nb decimales du format du F en IS-C inch
SWITCH(VAR[98],NULL,VAR[98]="12/12/2011",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            :   Legoupi Philippe
#
# REV               : Suppression macro ADD_RECORD_FLAG_AXIS (Décodage plus rapide)
SWITCH(VAR[98],NULL,VAR[98]="07/12/2011",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            :   Legoupi Philippe
#
# REV               : Modif scode G66+G67 #4214 => #4212 (erreur copy/paste ?)
SWITCH(VAR[98],NULL,VAR[98]="23/11/2011",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            :   Westeel Pascal
#
# REV               : Modification macro G53_1 et RECAL_ORIGIN_G54_2
SWITCH(VAR[98],NULL,VAR[98]="22/11/2011",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            :   Legoupi Philippe
#
# REV               : Modification code G54, ajout chargement sous programme avec G65 <NOM>
#                   : Ajout option checkbox pour variables de palpage #506x 
SWITCH(VAR[98],NULL,VAR[98]="18/11/2011",NOOP())
# NC Simul Version  : V.8.9x
#
# Auteur            :   Legoupi Philippe
#
# REV               : Ajout TESTOL=0.0001, 
#                   : Ajout PTR("#4001")=-1 dans dans macro TOOL_CHG pour forcer le decodage de G0 ou G1 apres un changement outil
#                   : Ajout UPDATECURPOS() à la fin de la macro G53
#                   : Modif macro CIRCLE_TEST
SWITCH(VAR[98],NULL,VAR[98]="15/11/2011",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            :   Legoupi Philippe
#
# REV               : Modif *-1 ==> *(-1) pour option nodoublesign
SWITCH(VAR[98],NULL,VAR[98]="03/11/2011",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            :   Souvestre Benoit
#
# REV               : Modif Optim.cnu => passage des records en NOREC
SWITCH(VAR[98],NULL,VAR[98]="03/11/2011",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            :   Souvestre Benoit
#
# REV               : S_CODE Prise en compte vitesse de coupe constante 
SWITCH(VAR[98],NULL,VAR[98]="28/10/2011",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            :   Legoupi Philippe
#
# REV               : Modifications liés aux variables "#_OFSDW[n]" ET "#_OFSDG[n]" (12001 => 12000 ET 13001 => 13000)
SWITCH(VAR[98],NULL,VAR[98]="20/09/2011",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            :   Guillaume Chastagner
#
# REV               : Modifications Macro INITPRG pour variable #_WZP (Si deux appels de programmes ==> il y avait 2 X la creation de la variable)
SWITCH(VAR[98],NULL,VAR[98]="24/08/2011",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            :   BSO+JCA
#
# REV               : Modifications liés aux variables "#_WZPx[n]" (TRIGW)
#                   : Suppression CODE,"[#_" remplacer par CODE,"[#" (Appel M8581)
#                   : Modifcation macro READ_NAME_VAR (suppression de commentaire à prévoir après validation)
SWITCH(VAR[98],NULL,VAR[98]="18/08/2011",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            :   Guillaume Chastagner
#
# REV               : Modifications liés aux variables "#_WZPx[n]" (declaration + TRIGR)
#                   : Ajout EQUIV pour variable #_CLOCKx   
SWITCH(VAR[98],NULL,VAR[98]="17/08/2011",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            :   Guillaume Chastagner
#
# REV               : Ajout axes rotatifs dans le contexte des cycle de percage.
SWITCH(VAR[98],NULL,VAR[98]="08/07/2011",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            :   Legoupi Philippe
#
# REV               : Modif correction rayon dans l'espace (ajout test macro NORMAL_VECTOR)
# REV               : Space radius correction (test in macro NORMAL_VECTOR)
SWITCH(VAR[98],NULL,VAR[98]="07/07/2011",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            :   Benoit Souvestre
#
# REV               : Suppression du point réference "G30"
SWITCH(VAR[98],NULL,VAR[98]="06/07/2011",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            :   Yu Zhixiang
#
# REV               : Modification macro G28_G30END => Test pour savoir si la position est definie dans NCMotion
SWITCH(VAR[98],NULL,VAR[98]="05/07/2011",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            :   Yu Zhixiang + Benoit Souvestre
#
# REV               : Suppression de l'histrique de 2001 à 2009
#                   : Ajout fonctions pour editeur ACNU SetFormatName,SetContextName,SetSCodeName
#                   : Declaration des des 9 codes XYZABCUVW par defaut avec un message erreur " Axe xx n'existe pas". 
#                   : C'est mieux que d'avoir fin de ligne ignorée et surtout c'est mieux pour l'export RTF du controleur
SWITCH(VAR[98],NULL,VAR[98]="01/07/2011",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            :   Legoupi Philippe
#
# REV               : Modif macro GR_CIRCULAIRE pour reecriture cercle en G19 
SWITCH(VAR[98],NULL,VAR[98]="28/06/2011",NOOP())
# NC Simul Version  : V.8.9x
# Auteur            :   Legoupi Philippe
#
# REV               : Ajout des variables par nom pour Fanuc30
#                   : Ajout des macros correspondantes
SWITCH(VAR[98],NULL,VAR[98]="06/06/2011",NOOP())
# NC Simul Version  : V.8.6x
# Auteur            :   Souvestre Benoit
#
# REV               : Modif macros cycles fixes G8x et G76/G73 ajout de SetInfoHead (M5021)
#                   : Macro F_replace remplacee par Strsubs()
SWITCH(VAR[98],NULL,VAR[98]="18/04/2011",NOOP())
# NC Simul Version  : V.8.9.1
# Auteur            :   Souvestre Benoit
#
# REV               : Modif macro WRITE_ORG (sauvegarde de l'origine modifiée dans INIORGS[])
SWITCH(VAR[98],NULL,VAR[98]="15/03/2011",NOOP())
# NC Simul Version  : V.8.8.x
# Auteur            :   Legoupi Philippe
#
# REV               : Modif code G49 , macro G43_G43 et TLCMP_MOVE
SWITCH(VAR[98],NULL,VAR[98]="21/01/2011",NOOP())
# NC Simul Version  : V.8.8.x
# Auteur            :   Legoupi Philippe
#
# REV               : Report des modifs LV sur CNU reecriture (ajout dans macro MOVE_AXIS_REGISTER sur les axes modulo)
SWITCH(VAR[98],NULL,VAR[98]="18/01/2011",NOOP())
# NC Simul Version  : V.8.6.x
# Auteur            :   Laurent Vialard (report B. Souvestre)
#
# REV               : Report des modifs LV sur CNU reecriture
SWITCH(VAR[98],NULL,VAR[98]="13/01/2011",NOOP())
# NC Simul Version  : V.8.6.x
# Auteur            :   Laurent Vialard (report B. Souvestre)
#
#
# REV               : Modif tolerance EPSILON_REGISTRE dans CNU reecriture
SWITCH(VAR[98],NULL,VAR[98]="11/01/2011",NOOP())
# NC Simul Version  : V.8.6.x
# Auteur            :   Benoit Souvestre
#
# REV               : Ajout code G17.1 P1 à P5 (plan incline orthoganal)
#                   : Modif code G92.1 et du code G53 (Annulation temporaire du G68)
#                   : Modif du code R sur G10 L50
SWITCH(VAR[98],NULL,VAR[98]="23/12/2010",NOOP())
# NC Simul Version  : V.8.6.x
# Auteur            :   Legoupi Philippe
#
# REV               : Modif car PT[] ==> ACNU_PT[] (end)      
SWITCH(VAR[98],NULL,VAR[98]="27/10/2010",NOOP())
# NC Simul Version  : V.8.6.x
# Auteur            :   Benoit Souvestre
#
# REV               : Modif car PT[] ==> ACNU_PT[] (to avoid re-writting crashes into MAC_AXE_OUTPUT)      
SWITCH(VAR[98],NULL,VAR[98]="22/10/2010",NOOP())
# NC Simul Version  : V.8.6.x
# Auteur            :   Benoit Souvestre
#
# REV               : Modif macro OPTIMISATION_ON et OFF        
SWITCH(VAR[98],NULL,VAR[98]="24/07/2010",NOOP())
# NC Simul Version  : V.8.6.x
# Auteur            :   Legoupi Philippe
#
# REV               : Modif macro CIRCLE_TEST pour les interpolations sur les axes UVW       
SWITCH(VAR[98],NULL,VAR[98]="25/04/2010",NOOP())
# NC Simul Version  : V.8.6.x
# Auteur            :   Legoupi Philippe
#
# REV               : Adding codes (,R ,C) for radius/chanfer transition       
SWITCH(VAR[98],NULL,VAR[98]="12/04/2010",NOOP())
# NC Simul Version  : V.8.6.x
# Auteur            :   Westeel Pascal
#
# REV               : Modif macro CIRCLE_TEST (creation ACNU_CIRCULAR_INTERPOLATION_TOLERANCE liee au tolerances de la machine)
#                   : Modif macro MAC_AXE_OUTPUT (suppression des GOTO)         
# Auteur            : P LEGOUPI
#